API referenceFace
Check if face exists
Look up a stored face by person_id in the provided collection, if not provided default collection is used. When it is custom, custom_collection is required.
Return HTTP 200 with the JSON string "OK" when a record exists.
GET
/face:existscurl -X GET "https://demo.verigram.kz/face:exists?person_id=" \
-H "X-Verigram-Api-Key: $IDENTIFICATION_SAAS_API_KEY" \
-H "X-Verigram-Api-Version: 2.0.0"Авторизация
X-Verigram-Api-KeystringheaderобязательноAPI key in the X-Verigram-Api-Key header
Параметры
person_idstringqueryобязательноPerson ID
collectionenum<string>queryFaces database collection name. Used to search an embedding by person_id.
Одно из:blacklistwhitelistgraylistwatchlistdefaultcustomЗначение по умолчанию:defaultcustom_collectionstringqueryCustom collection name, required when 'collection' is set to 'custom'.
X-Verigram-Api-VersionstringheaderобязательноRequired API version header.
Значение по умолчанию:2.0.0
Ответ
application/json
Face exists
string
"OK"